/* ##### GENERAL STYLES FOR PANDA AREA ###### */

@import "../global";
@import "validation";
@import "nav";

main {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;

	.content-wrapper {
		padding: 60px 70px;
		color: $deep_midnight;
		width: calc(100% - 140px - 200px); // 100% - padding - nav

		@media (max-width: $mobile-bp) {
			float: none;
			width: 100%;
			margin: 0;
			padding: 80px 0 0 0;
		}

		&.content-fluid {
			margin-left: 200px;
		}

		&.content-fixed {
			max-width: 1200px;

			@media (max-width: 2000px) {
				margin-left: 200px;
			}

			@media (max-width: $mobile-bp) {
				margin-left: 0;
			}
		}
	}

	.page-header {
		@media (max-width: $mobile-bp) {
			margin: 15px;
		}

		.page-title {
			font-size: 4.5em;
			margin: 0;

			@media (max-width: $mobile-bp) {
				font-size: 15vw;
				line-height: 1.1;
			}
		} // end page title

		.page-subtitle {
			font-size: 1.1em;
		} // end page subtitle

	} // end page-header
} // end main

label {

}

input {
	width: 300px;
	padding: 14px 18px;
	box-sizing: border-box;
	border: none;
	box-shadow: $drop_shadow;

	&::placeholder {
		font-family: "Segoe UI Normal", sans-serif ;
		color: $placeholder_text;
	}
}

.form-group {
	position: relative;
	margin: 20px 0;

	label {
		display: block;
		margin-bottom: 10px;
	} // end label
} // end form-group

.icon-input {
	position: relative;

	.icon {
		height: 17px;
		width: 17px;
		display: block;
		position: absolute;
		top: 14px;
		left: 14px;

		&.right {
			left: auto;
			right: 14px;
		}

		img {
			width: 100%;
			height: 100%;
		} // end img

		svg {
			fill: $deep_midnight;

			&.a {
				fill: $deep_midnight;
			}
		} // end svg
	} // end icon

	input {
		padding: 14px 18px 14px 44px;
	} // end input
} // end icon input

button.btn,
a.btn {
	margin: 20px 0;
	padding: 14px 20px;
	border: none;
	background: white;
	color: $deep_midnight;
	box-shadow: $drop_shadow;
	display: inline-block;

	&.active {
		background: $aqua_vitale;
		color: white;
	}

	&:hover {
		cursor: pointer;
		background: $aqua_vitale;
		color: white;
	}


	&.disabled {
		background: #eaeaea;

		&:hover {
			cursor: default;
			background: #eaeaea;
			color: $deep_midnight;
		}
	} // end disabled

	&.btn-primary {
		background: $deep_midnight;
		color: white;

		&:hover {
			box-shadow: 0 1px 6px 1px #0000006b;
		}

		&.disabled {
			background: #002c3eb5;

			&:hover {
				cursor: default;
				background: #002c3eb5;
				color: white;
				box-shadow: none;
			}
		} // end primary disabled
	} // end primary

	&.btn-danger {
		background: $blood_burst;
		color: white;

		&:hover {
			box-shadow: 0 1px 6px 1px #0000006b;
		}

		&.disabled {
			background: #002c3eb5;

			&:hover {
				cursor: default;
				background: #002c3eb5;
				color: white;
				box-shadow: none;
			}
		} // end btn-danger disabled
	} // end btn-danger

	svg {
		fill: $deep_midnight;
	} // end svg btn

	&:hover {
		svg {
			fill: white;
		}
	} // end svg btn hover


} // end btn

.btn.btn-loading {
	min-width: 200px;
	font-size: 13px;

	@media (max-width: $mobile-bp) {
		min-width: 100px;
	}

	.text {
		display: block;
		text-align: center;
	}

	.loader {
		display: none;

		.loader-square-flipper {
			transform: scale(0.3);
			height: 17px;
			width: 17px;
		}
	} // end loader

	&.loading {
		.text {
			display: none !important;
		}
		.loader {
			display: block !important;
		}
	} // end loading button loading
} // end loading button

.error {
	color: $error_text;
} // end error

.shake-horizontal {
	-webkit-animation: shake-horizontal 0.8s cubic-bezier(0.455, 0.030, 0.515, 0.955) both;
	animation: shake-horizontal 0.8s cubic-bezier(0.455, 0.030, 0.515, 0.955) both;
}
@-webkit-keyframes shake-horizontal {
	0%,
	100% {
		-webkit-transform: translateX(0);
		transform: translateX(0);
	}
	10%,
	30%,
	50%,
	70% {
		-webkit-transform: translateX(-10px);
		transform: translateX(-10px);
	}
	20%,
	40%,
	60% {
		-webkit-transform: translateX(10px);
		transform: translateX(10px);
	}
	80% {
		-webkit-transform: translateX(8px);
		transform: translateX(8px);
	}
	90% {
		-webkit-transform: translateX(-8px);
		transform: translateX(-8px);
	}
}



.vibrate {
	-webkit-animation: vibrate-1 0.3s linear infinite both;
	animation: vibrate-1 0.3s linear infinite both;
}

@keyframes vibrate {
	0% {
		-webkit-transform: translate(0);
		transform: translate(0);
	}
	20% {
		-webkit-transform: translate(-2px, 2px);
		transform: translate(-2px, 2px);
	}
	40% {
		-webkit-transform: translate(-2px, -2px);
		transform: translate(-2px, -2px);
	}
	60% {
		-webkit-transform: translate(2px, 2px);
		transform: translate(2px, 2px);
	}
	80% {
		-webkit-transform: translate(2px, -2px);
		transform: translate(2px, -2px);
	}
	100% {
		-webkit-transform: translate(0);
		transform: translate(0);
	}
}


